Subject: Re: Bison 1.30
From: "Tim Prince" <[email-masked]>
To: "Fractal A." <[email-masked]>, "Randall R Schulz" <[email-masked]>, <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 26 Dec 2001 21:56:12 -0800

----- Original Message -----
From: "Fractal A." <[email-masked]>
To: "Randall R Schulz" <[email-masked]>; <[email-masked]>
Cc: <[email-masked]>
Sent: Wednesday, December 26, 2001 8:31 AM
Subject: Re: Bison 1.30

> Hi,
>
> Because the compiler (bison 1.28) appears to be working incorrectly, I
believe
> that a newer version of bison might solve the problem.  I don't know why
the
> "implicit declaration" error is occurring.  I don't know what to do to
solve
> it.  The arithmetic.lex and arithmetic.y files were compiling properly
before.
> When the other files started outputting the "implicit declaration" error,
it
> seems that everything stopped working correctly.  The error is of the type
> "implicit declaration" of several different yy functions.  If you think of
> something to help, please let me know.  Thanks.
>
> Examples of the error:
> Errors of this nature cause me to believe that the compiler is failing.
>
> C:\cygwin2\c15>g++ -Wall -c -gstabs ch1-05.y.tab.c
> /usr/share/bison.simple: In function `int yyparse()':
> /usr/share/bison.simple:358: implicit declaration of function `int
> yyerror(...)'
>
> C:\cygwin2\ega>g++ -Wall -c -gstabs arithmetic.y.tab.c
> /usr/share/bison.simple: In function `int yyparse()':
> /usr/share/bison.simple:361: implicit declaration of function `int
free(...)'
>
> =====
> Fractal A.                    [email-masked]
What evidence do you have that bison would make a sudden change from its
traditional form?  If it hasn't adapted to the C89 style in over 10 years,
why now?  You ask gcc for warning messages, gcc complies.  What chance would
the cygwin developers have of changing bison, even if they wished to do so?

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/